Bug 1666857 - python36-devel does not require python3-rpm-macros
Summary: python36-devel does not require python3-rpm-macros
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python36   
(Show other bugs)
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Charalampos Stratakis
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-16 18:58 UTC by Scott K Logan
Modified: 2019-02-12 02:55 UTC (History)
5 users (show)

Fixed In Version: python36-3.6.6-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2019-02-12 02:55:52 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Scott K Logan 2019-01-16 18:58:01 UTC
Description of problem:
In order to build a python 3.6 package that doesn't also build python 3.4, python3-rpm-macros must be added to BuildRequires. This isn't necessary for python 3.4 or python 2.6 packages, whose -devel packages correctly require the corresponding rpm-macros packages.

Version-Release number of selected component (if applicable): python36-devel-3.6.6-1.el7

How reproducible: 100%

Steps to Reproduce:
1. In a buildroot, install python36-devel
2. Try to build a python 3.6 package
3. Observe missing file /usr/lib/rpm/macros.d/macros.python3

Actual results:
macros.python3 is not installed, meaning that %__python3_other and related macros are not defined.

Expected results:
Same behavior as python 3.4 - only BuildRequires: python36-devel is needed.

Comment 1 Miro Hrončok 2019-01-17 09:48:57 UTC
We were just talking about this with Tomáš Orsava yesterday, juts forgot to file the bug.

Yes, this needs to be fixed.

Scott, would you be able to submit a pull request?

Comment 2 Scott K Logan 2019-01-17 17:26:15 UTC
Of course, expect it later today. Thanks!

Comment 3 Scott K Logan 2019-01-17 18:47:10 UTC
Here is the PR: https://src.fedoraproject.org/rpms/python36/pull-request/18

Comment 4 Fedora Update System 2019-01-27 08:19:21 UTC
python36-3.6.6-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-42f4b760d9

Comment 5 Fedora Update System 2019-01-28 02:30:22 UTC
python36-3.6.6-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-42f4b760d9

Comment 6 Fedora Update System 2019-02-12 02:55:52 UTC
python36-3.6.6-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.